/* *****************************************************************************
 * decode/caspro.c -- decode legacy CASIO protocol 'file'.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 *
 * Based on the Casetta project documentation:
 * https://casetta.tuxfamily.org/formats/cas
 * ************************************************************************** */
#include <libg1m/internals.h>

/**
 *	g1m_decode_caspro_head:
 *	Decode a CASIOLINK Protocol header.
 *
 *	@arg	head	the head to fill.
 *	@arg	buffer	the buffer to read from.
 *	@return			if there was an error, or not.
 */

int g1m_decode_caspro_head(g1m_mcshead_t *head, g1m_buffer_t *buffer)
{
	/* TODO */
	return (g1m_error_unknown);
}

/**
 *	g1m_decode_caspro_part:
 *	Decode a CASIOLINK Protocol content part.
 *
 *	@arg	file	the file to make
 *  				(or double pointer to the one to contribute to).
 *	@arg	head	the head to fill.
 *	@arg	buffer	the buffer to read from.
 *	@return			if there was an error, or not.
 */

int g1m_decode_caspro_part(g1m_mcsfile_t **file,
	const g1m_mcshead_t *head, g1m_buffer_t *buffer)
{
	/* TODO */
	return (g1m_error_unknown);
}
